Subsonic does not install

    • OMV 1.0
    • Resolved

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • Subsonic does not install

      Hi there,

      I've searched around but I can't see anyone else having this issue. My OS drive recently died in a horrible screeching sound, so I have reinstalled from fresh onto a new drive. Everything is setup the way I had it before and all of the plugins work perfectly, except for Subsonic. When I select it in the plugins list and install, it gets to the "Reading state information" section and stops. I have to kill my browser tab and reload it to get back to the WebGUI and everything is fine, just no Subsonic installed. I have a lot of other plugins and none of them have this issue, it is just Subsonic.

      Has anyone else had a problem similar to this please? If any support logs are required, let me know and I can post them. I tried clearing the apt cache as well but no success there either.

      Thank you,

      James
    • Just tried in a VM and the install does work ok

      Display Spoiler
      Reading package lists...
      Building dependency tree...
      Reading state information...
      The following extra packages will be installed:
      ca-certificates-java java-common lame libatk-wrapper-java
      libatk-wrapper-java-jni libatk1.0-0 libatk1.0-data libgif4 libgtk2.0-0
      libgtk2.0-common liblcms2-2 libnspr4 libnss3 libxcomposite1 libxcursor1
      libxrandr2 openjdk-7-jre openjdk-7-jre-headless tzdata-java
      Suggested packages:
      default-jre equivs librsvg2-common gvfs liblcms2-utils icedtea-7-plugin
      icedtea-7-jre-jamvm sun-java6-fonts fonts-ipafont-gothic
      fonts-ipafont-mincho ttf-wqy-microhei ttf-wqy-zenhei ttf-indic-fonts
      Recommended packages:
      hicolor-icon-theme libgtk2.0-bin libgnome2-0 libgnomevfs2-0 libgconf2-4
      ttf-dejavu-extra
      The following NEW packages will be installed:
      ca-certificates-java java-common lame libatk-wrapper-java
      libatk-wrapper-java-jni libatk1.0-0 libatk1.0-data libgif4 libgtk2.0-0
      libgtk2.0-common liblcms2-2 libnspr4 libnss3 libxcomposite1 libxcursor1
      libxrandr2 openjdk-7-jre openjdk-7-jre-headless openmediavault-subsonic
      tzdata-java
      ...........
      Processing triggers for ca-certificates ...
      Updating certificates in /etc/ssl/certs... 0 added, 0 removed; done.
      Running hooks in /etc/ca-certificates/update.d....
      done.
      done.
      Creating index of upgradeable packages ...
      Creating index of OpenMediaVault plugins ...
      Done ...


      However the bloody install buttons for the normal/beta versions of Subsonic are broken. I will try and fix it now before I have to leave for work.
      [IMG:http://widgets.trakt.tv/users/1f5d0f5ed67f98ed9d06d9849b42dd0e/watched/banner@1x.jpg]
      What I am watching/watched on my Popcorn Hour media player
      omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
      MySQL (Percona) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS
    • I am also having an issue with Subsonic...when i click on the service link on the left this error pops up:

      Error #3003:
      exception 'OMVException' with message 'Failed to get configuration (xpath=//services/subsonic)' in /usr/share/openmediavault/engined/rpc/subsonic.inc:83
      Stack trace:
      #0 [internal function]: OMVRpcServiceSubsonic->getSettings(NULL, Array)
      #1 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array)
      #2 /usr/share/php/openmediavault/rpc.inc(79): OMVRpcServiceAbstract->callMethod('getSettings', NULL, Array)
      #3 /usr/sbin/omv-engined(500): OMVRpc::exec('Subsonic', 'getSettings', NULL, Array, 1)
      #4 {main}

      or...

      Error #4000:
      exception 'OMVException' with message 'Failed to execute command 'omv-mkconf subsonic getsettings': /etc/openmediavault/config.xml:1281.49: Premature end of data in tag incomplete.sharedfolderref line 1281
      <incomplete.sharedfolderref>166d4cab-6
      ^
      /etc/openmediavault/config.xml:1281.49: Premature end of data in tag filesandlocations line 1277
      <incomplete.sharedfolderref>166d4cab-6
      ^
      /etc/openmediavault/config.xml:1281.49: Premature end of data in tag modules line 1276
      <incomplete.sharedfolderref>166d4cab-6
      ^
      /etc/openmediavault/config.xml:1281.49: Premature end of data in tag transmissionbt line 1262
      <incomplete.sharedfolderref>166d4cab-6
      ^
      /etc/openmediavault/config.xml:1281.49: Premature end of data in tag services line 891
      <incomplete.sharedfolderref>166d4cab-6
      ^
      /etc/openmediavault/config.xml:1281.49: Premature end of data in tag config line 2
      <incomplete.sharedfolderref>166d4cab-6
      ^' in /usr/share/openmediavault/engined/rpc/subsonic.inc:67
      Stack trace:
      #0 [internal function]: OMVRpcServiceSubsonic->getSettings(NULL, Array)
      #1 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array)
      #2 /usr/share/php/openmediavault/rpc.inc(79): OMVRpcServiceAbstract->callMethod('getSettings', NULL, Array)
      #3 /usr/sbin/omv-engined(500): OMVRpc::exec('Subsonic', 'getSettings', NULL, Array, 1)
      #4 {main}

      I can reach subsonic and it is working, but i cannot change any settings from the openmediavault web gui...

      The post was edited 1 time, last by airbillion ().

    • subzero79 wrote:

      What happens when you try manual install in ssh?
      apt-get install openmediavault-subsonic


      Sorry, had some awful work shifts so only just got around to having a go. Appears it is a dependency issue. Odd as I have only recently completed a fresh install of OMV and I haven't made any manual tweaks to it. All I've done so far is reinstall the same plugins I had before on the previous setup and configure my shares and samba.

      Source Code

      1. Reading package lists... Done
      2. Building dependency tree
      3. Reading state information... Done
      4. Some packages could not be installed. This may mean that you have
      5. requested an impossible situation or if you are using the unstable
      6. distribution that some required packages have not yet been created
      7. or been moved out of Incoming.
      8. The following information may help to resolve the situation:
      9. The following packages have unmet dependencies:
      10. openmediavault-subsonic : Depends: openjdk-8-jre but it is not installable or
      11. openjdk-7-jre but it is not going to be installed or
      12. openjdk-6-jre but it is not going to be installed
      13. E: Unable to correct problems, you have held broken packages.
      Display All


      Trying to manaully install openjdk-8-jre results in the following.

      Source Code

      1. Reading package lists... Done
      2. Building dependency tree
      3. Reading state information... Done
      4. Package openjdk-8-jre is not available, but is referred to by another package.
      5. This may mean that the package is missing, has been obsoleted, or
      6. is only available from another source
      7. E: Package 'openjdk-8-jre' has no installation candidate

    • I actually tried that straight after but had this error. I have tried clearing the apt-cache, updating apt and tried "apt-mark showhold" but it does not return any results.

      Source Code

      1. Reading package lists... Done
      2. Building dependency tree
      3. Reading state information... Done
      4. Some packages could not be installed. This may mean that you have
      5. requested an impossible situation or if you are using the unstable
      6. distribution that some required packages have not yet been created
      7. or been moved out of Incoming.
      8. The following information may help to resolve the situation:
      9. The following packages have unmet dependencies:
      10. openjdk-7-jre : Depends: openjdk-7-jre-headless (= 7u75-2.5.4-1~deb7u1) but it is not going to be installed
      11. E: Unable to correct problems, you have held broken packages.
      Display All


      My sources list is as follows. I've made no changes to this either in the WebGUI or manually.

      Source Code

      1. #
      2. # deb cdrom:[Debian GNU/Linux 7.0.0 _Wheezy_ - Official Snapshot amd64 LIVE/INSTALL Binary 20150108-14:12]/ wheezy contrib main non-free
      3. #deb cdrom:[Debian GNU/Linux 7.0.0 _Wheezy_ - Official Snapshot amd64 LIVE/INSTALL Binary 20150108-14:12]/ wheezy contrib main non-free
      4. deb http://ftp.uk.debian.org/debian/ wheezy main
      5. deb-src http://ftp.uk.debian.org/debian/ wheezy main
      6. deb http://security.debian.org/ wheezy/updates main contrib non-free
      7. deb-src http://security.debian.org/ wheezy/updates main contrib non-free
      8. # wheezy-updates, previously known as 'volatile'
      9. deb http://ftp.uk.debian.org/debian/ wheezy-updates main contrib non-free
      10. deb-src http://ftp.uk.debian.org/debian/ wheezy-updates main contrib non-free
      Display All
    • Please try to switch to another mirror. It seems that your mirror may haven't received a little fix for the tzdata package.

      Problems with sources.list?

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.
    • davidh2k wrote:

      Please try to switch to another mirror. It seems that your mirror may haven't received a little fix for the tzdata package.

      Problems with sources.list?

      Greetings
      David


      I have tried 5 different mirrors around the world and each has the same result. I have followed down the dependencies each time but end in tzdata stating that it is the newest version installed. This is the last point before that.

      Source Code

      1. The following packages have unmet dependencies:
      2. tzdata-java : Depends: tzdata (= 2014j-0wheezy1) but 2015a-0wheezy1 is to be installed
      3. E: Unable to correct problems, you have held broken packages.
    • Intresting. Would you mind grabbing the latest tzdata from debian.org directly? google ​debian packages tzdata ofcourse choose the debian wheezy version. Then install the package via dpkg -i package.deb. Once that is done try again to install java.

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.
    • Well this is weird. Downloaded the package and installed it. Confirmed that it is the 2015a-0wheezy1 version installed. Still failing to install packages from openmediavault-subsonic all the way down to tzdata-java, which is the package just before tzdata. It results in the following.

      Source Code

      1. The following packages have unmet dependencies:
      2. tzdata-java : Depends: tzdata (= 2014j-0wheezy1) but 2015a-0wheezy1 is to be installed
      3. E: Unable to correct problems, you have held broken packages.
    • oh, my bad, you need to get tzdata-java, as this has the wrong dependency.

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.
    • davidh2k wrote:

      oh, my bad, you need to get tzdata-java, as this has the wrong dependency.

      Greetings
      David


      That's ok. If my brain wasn't so fried after a 10 hour shift I might have thought to have given that a go anyway! It has worked, manually grabbing tzdata-java meant that the Subsonic plugin immediately installed, along with all other required dependencies including java. Thanks for the advice guys, I appreciate it.
    • That doesn't solve the problem, and including tzdata-java would, to me, only be a dirty workaround since it could lead to trouble on future updates. To be honest I don't know why so many mirrors seem to be still out of date, that fix was pushed over a month ago!

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.